summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorMike Swanson2015-09-21 19:52:04 -0700
committerMike Swanson2015-09-21 19:52:04 -0700
commit655e702b2a98ebcc5f740ee96efc560cbaa17d56 (patch)
treef08990e93a7a6225add53a0ffccba8e217a2207e
parent1862aa089b856429b2ed41b8348d6ed7264129d0 (diff)
downloadaur-655e702b2a98ebcc5f740ee96efc560cbaa17d56.tar.gz
Update to 1.04
-rw-r--r--.SRCINFO28
-rw-r--r--PKGBUILD136
2 files changed, 78 insertions, 86 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 72565c6045a..df09665b0b9 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,16 +1,20 @@
-# Generated by makepkg 4.2.1
-# Mon Sep 21 19:34:22 UTC 2015
pkgbase = cmdpack
- pkgdesc = Collection of command line utilities, most for emulation or disk images. (bin2iso bincomp brrrip byteshuf byteswap cdpatch ecm fakecrc hax65816 id3point pecompat rels screamf subfile uips usfv vb2rip wordadd zerofill)
- pkgver = 1.03
- pkgrel = 5
- url = http://www.neillcorlett.com/cmdpack/
+ pkgdesc = Collection of command line utilities, most for emulation or disk images. (bin2ecm bin2iso bincomp brrrip byteshuf byteswap cdpatch fakecrc hax65816 id3point pecompat rels screamf subfile uips usfv vb2rip wordadd zerofill)
+ pkgver = 1.04
+ pkgrel = 1
+ url = https://github.com/chungy/cmdpack
arch = i686
arch = x86_64
groups = cmdpack
license = GPL3
- source = dummy://cmdpack-1.03-src.tar.gz
- md5sums = 79f62f20dc5ccb68d9a130e17798bb7f
+ source = https://github.com/chungy/cmdpack/archive/1.04.tar.gz
+ sha256sums = 585dc53df1f854d53db3bdb38fc7d853e9b34c1c4a7b57fd8e0c8a5a4c908a9d
+
+pkgname = cmdpack-bin2ecm
+ pkgdesc = Encoder/decoder for Error Code Modeler format
+ provides = ecm-tools
+ conflicts = ecm-tools
+ replaces = ecm-tools
pkgname = cmdpack-bin2iso
pkgdesc = Convert CD .BIN to .ISO
@@ -37,12 +41,6 @@ pkgname = cmdpack-cdpatch
pkgdesc = CD-XA image insert/extract utility
provides = cdpatch
-pkgname = cmdpack-ecm
- pkgdesc = Encoder/decoder for Error Code Modeler format
- provides = ecm-tools
- conflicts = ecm-tools
- replaces = ecm-tools
-
pkgname = cmdpack-fakecrc
pkgdesc = Fake the CRC32 of a file
provides = fakecrc
@@ -93,5 +91,5 @@ pkgname = cmdpack-zerofill
conflicts = ucommon
pkgname = cmdpack-docs
- pkgdesc = cmdpack documents
+ pkgdesc = cmdpack documentation
diff --git a/PKGBUILD b/PKGBUILD
index f0e98955907..279a01fe276 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -7,87 +7,81 @@ pkgbase='cmdpack'
groups="$pkgbase"
_utils=(
# Like below, add # at the beginning of unwanted tools' line.
-# 'unwantedtool'
- 'bin2iso'
- 'bincomp'
- 'brrrip'
- 'byteshuf'
- 'byteswap'
- 'cdpatch'
- 'ecm'
- 'fakecrc'
- 'hax65816'
- 'id3point'
- 'pecompat'
- 'rels'
- 'screamf'
- 'subfile'
- 'uips'
- 'usfv'
- 'vb2rip'
- 'wordadd'
- 'zerofill'
- )
+# 'unwantedtool'
+ 'bin2ecm'
+ 'bin2iso'
+ 'bincomp'
+ 'brrrip'
+ 'byteshuf'
+ 'byteswap'
+ 'cdpatch'
+ 'fakecrc'
+ 'hax65816'
+ 'id3point'
+ 'pecompat'
+ 'rels'
+ 'screamf'
+ 'subfile'
+ 'uips'
+ 'usfv'
+ 'vb2rip'
+ 'wordadd'
+ 'zerofill'
+)
for _tool in ${_utils[@]}; do pkgname+=("$pkgbase-$_tool"); done && pkgname+=("$pkgbase-docs")
-pkgver=1.03
-pkgrel=5
+pkgver=1.04
+pkgrel=1
pkgdesc="Collection of command line utilities, most for emulation or disk images. (${_utils[*]})"
arch=('i686' 'x86_64')
-url="http://www.neillcorlett.com/$pkgbase/"
+url="https://github.com/chungy/cmdpack"
license=('GPL3')
-source=(dummy://"${pkgbase}-${pkgver}-src.tar.gz")
-md5sums=('79f62f20dc5ccb68d9a130e17798bb7f')
+source=("$url/archive/$pkgver.tar.gz")
+sha256sums=('585dc53df1f854d53db3bdb38fc7d853e9b34c1c4a7b57fd8e0c8a5a4c908a9d')
build() {
- cd $srcdir/$pkgbase-$pkgver-src/src/
- for _tool in "${_utils[@]}"; do
- if [[ "$_tool" == "ecm" ]]; then
- gcc $CFLAGS -Wall "$_tool.c" -s -o "bin2ecm"
- else
- gcc $CFLAGS -Wall "$_tool.c" -s -o "$_tool"
- fi
- done
+ cd "$srcdir/$pkgbase-$pkgver"
+
+ make
}
for _tool in "${_utils[@]}"; do
- src_mkdir_eval='mkdir -p ./src/ > /dev/null 2>&1'
- src_ext_ctr_eval='if ! [[ -d "./src/$pkgbase-$pkgver-src/src/" ]]; then bsdtar -xf "'$source'" -C ./src/; fi > /dev/null 2>&1'
- pkg_des_c_eval="sed -n 's/\"$//g;s/^#define TITLE \"$_tool - //p' ./src/\$pkgbase-\$pkgver-src/src/$_tool.c"
- add_pkg_func="package_$pkgbase-$_tool() {
- cd \${srcdir%/*}/
- provides=('$_tool')
- pkgdesc="\`$src_mkdir_eval\`\`$src_ext_ctr_eval\`\`$pkg_des_c_eval\`"
- cd \$srcdir/\${pkgbase}-\${pkgver}-src/
- "
- if [[ "$_tool" == "bin2iso" ]]; then
- eval "$add_pkg_func
- conflicts=('bin2iso')
- provides=('$pkgbase-$_tool')
- install -Dm0755 ./src/$_tool \${pkgdir}/usr/bin/$_tool
- }"
- elif [[ "$_tool" == "ecm" ]]; then
- eval "$add_pkg_func
- conflicts=('ecm-tools')
- provides=('ecm-tools')
- replaces=('ecm-tools')
- install -Dm0755 ./src/bin2ecm \${pkgdir}/usr/bin/bin2ecm
- ln \${pkgdir}/usr/bin/bin2ecm \${pkgdir}/usr/bin/ecm2bin
- }"
- elif [[ "$_tool" == "zerofill" ]]; then
- eval "$add_pkg_func
- conflicts=('ucommon')
- install -Dm0755 ./src/$_tool \${pkgdir}/usr/bin/$_tool
- }"
- else
- eval "$add_pkg_func
- install -Dm0755 ./src/$_tool \${pkgdir}/usr/bin/$_tool
- }"
- fi
+ src_mkdir_eval='mkdir -p ./src/ > /dev/null 2>&1'
+ src_ext_ctr_eval='if ! [[ -d "./src/$pkgbase-$pkgver/" ]]; then bsdtar -xf "'$source'" -C ./src/; fi > /dev/null 2>&1'
+ pkg_des_c_eval="sed -n 's/\"$//g;s/^#define TITLE \"$_tool - //p' ./src/\$pkgbase-\$pkgver/$_tool.c"
+ add_pkg_func="package_$pkgbase-$_tool() {
+ cd \${srcdir%/*}/
+ provides=('$_tool')
+ pkgdesc="\`$src_mkdir_eval\`\`$src_ext_ctr_eval\`\`$pkg_des_c_eval\`"
+ cd \${srcdir}/\${pkgbase}-\${pkgver}/
+ "
+ if [[ "$_tool" == "bin2ecm" ]]; then
+ eval "$add_pkg_func
+ conflicts=('ecm-tools')
+ provides=('ecm-tools')
+ replaces=('ecm-tools')
+ make DESTDIR=\"\$pkgdir\" prefix=/usr install-ecm2bin
+ }"
+ elif [[ "$_tool" == "bin2iso" ]]; then
+ eval "$add_pkg_func
+ conflicts=('bin2iso')
+ provides=('$pkgbase-$_tool')
+ make DESTDIR=\"\$pkgdir\" prefix=/usr install-$_tool
+ }"
+ elif [[ "$_tool" == "zerofill" ]]; then
+ eval "$add_pkg_func
+ conflicts=('ucommon')
+ make DESTDIR=\"\$pkgdir\" prefix=/usr install-$_tool
+ }"
+ else
+ eval "$add_pkg_func
+ make DESTDIR=\"\$pkgdir\" prefix=/usr install-$_tool
+ }"
+ fi
done
eval "package_$pkgbase-docs() {
- cd \$srcdir/\${pkgbase}-\${pkgver}-src/
- pkgdesc='$pkgbase documents'
- install -Dm0644 ./doc/cmdpack.txt \${pkgdir}/usr/share/doc/\${pkgbase}/cmdpack.txt
- install -Dm0644 ./doc/gpl.txt \${pkgdir}/usr/share/licenses/\${pkgbase}/LICENSE
+ pkgdesc='$pkgbase documentation'
+ cd \$srcdir/\${pkgbase}-\${pkgver}
+
+ install -Dm0644 cmdpack.txt \${pkgdir}/usr/share/doc/\${pkgbase}/cmdpack.txt
}"